Skip to content

Changelog alsa-lib (1.1.3-5ubuntu0.6)

2021

alsa-lib (1.1.3-5ubuntu0.6) bionic; urgency=medium

   * d/p/0021-conf-USB-add-Cmedia-Audio-to-USB-Audio.pcm.iec958_de.patch
     https://github.com/alsa-project/alsa-lib/pull/122
     Add "Cmedia Audio" to USB-Audio.pcm.iec958_device, otherwise users
     will see 2 IEC985 devices from UI, but there is no those physical
     devices in fact. After adding this patch, those 2 IEC985 devices will
     not show up in the UI. (LP: #1921452)

2020

alsa-lib (1.1.3-5ubuntu0.5) bionic; urgency=medium

   * d/p/0020-add-bios-version-for-looking-for-ucm.patch
     Add a new way to looking for the ucm by DMI bios_version.
     Without this patch, the alsa-lib looks for the ucm by cardlongname
     first, if it fails, then by the cardname. This has a problem at least
     on LENOVO machines, since a LENOVO model has the same audio design but
     it has hundreds of cardlongname, we need to create hundreds of folders
     for one model, that is unacceptable. LENOVO told us a LENOVO model has
     the unique biso_version, we could use it to find the ucm. After applying
     this patch, the alsa-lib looks for the ucm by cardlongname first, if it
     fails, it will use bios_version, if it also fails, it will fallback to
     cardname.
     (LP: #1868210)

alsa-lib (1.1.3-5ubuntu0.4) bionic; urgency=medium

   * d/p/0019-adjust-input-volume-and-a-new-LENOVO-ucm.patch
     Fix the input volume in the ucm and add a new ucm for a
     LENOVO X1 Carbon variant
     (LP: #1859754)

alsa-lib (1.1.3-5ubuntu0.3) bionic; urgency=medium

  * d/p/0018-add-ucm-for-sof-driver-LenovoX1-7th-and-Dell-cml.patch
  - This patch is backported from the branch sof_ucm1 of the git repo
    https://github.com/thesofproject/alsa-ucm-conf.git (f083700beda6).
    After adding these ucm files, the alsa sof driver can work under
    pulseaudio on Lenovo X1 variants and Dell cml and cnl dmic
    machines. And that git repo is maintained by Intel audio team.
    (LP: #1859754)

(There has been a parse error in the entry above, if some values don't make sense please check the original changelog)

2018

alsa-lib (1.1.3-5ubuntu0.2) bionic; urgency=medium

   * d/p/0014-conf-ucm-Add-a-UCM-profile-for-Dell-WD15-Dock-USB-au.patch
   * d/p/0015-conf-ucm-Dell-WD15-Dock-Fix-incorrect-device-names.patch
   * d/p/0016-conf-USB-Audio-Add-Dell-WD19-Dock-in-the-IEC958-blac.patch
   * d/p/0017-configure-Fix-forgotten-ucm-entry.patch
     - enable line-out on the Dell WD Dock stations (LP: #1806532)

alsa-lib (1.1.3-5ubuntu0.1) bionic; urgency=medium

   * debian/patches/0009-ucm-Assure-the-user-input-card-name-not-to-exceed-ma.patch
   * debian/patches/0010-ucm-Load-device-specific-configuration-file-based-on.patch
   * debian/patches/0011-conf-ucm-Add-dual-HD-audio-codecs-config-for-Lenovo.patch
   * debian/patches/0012-ucm-adding-the-folder-of-card_long_name-when-finding.patch
   * debian/patches/0013-conf-ucm-increase-the-input-volume-for-LineIn.patch
     - Backport 5 patches to make audio work on Lenovo machines with dual audio
       codecs. (LP: #1768830)
       0009-xxx.patch: 2b9b3f01
       0010-xxx.patch: 4b9297e6
       0011-xxx.patch: b7e56af8 (minor change for fixing patch conflict)
       0012-xxx.patch: 181f8e25 (minor change for fixing patch conflict)
       0013-xxx.patch: 81db276f

2017

alsa-lib (1.1.3-5) unstable; urgency=medium

   [ Jordi Mallach ]
   * Add 0008-topology-Fix-incorrect-license-in-source-comments.patch from
     upstream git to fix the license headers on src/topology/* from GPL-2
     to LGPL-2.1+ as originally intended.
   * Drop GPL-2 paragraphs in d/copyright accordingly.
 
   [ Elimar Riesebieter ]
   * Add dh_auto_build to override_dh_auto_build-indep and dh_auto_install to
     override_dh_auto_install-indep to prevent a FTBFS with
     "dpkg-buildpackage -A". (closes: #854474)

alsa-lib (1.1.3-4) unstable; urgency=medium

   * Add copyright notes for src/topology. Thanks Thorsten Alteholz for
     bringing this up.
   * Improve and complete the rest of the copyright statements.

alsa-lib (1.1.3-3) unstable; urgency=medium

   * Restore installing the smixer plugins into a new binary package
     libasound2-plugin-smixer. Thanks to Michael Biebl for suggested patch.
   * Build-Depend again on python-dev and drop --disable-python.
   * Drop unneeded override of dh_auto_install.

alsa-lib (1.1.3-2) unstable; urgency=medium

   * ALSA smixer bits require python to be installed to work, but this check
     was only recently added to upstream build system in a668a942, which
     means smixer users have had it working via unrelated libpython2.7
     dependencies. Remove smixer bits entirely for now in preparation for a
     split-out to a new binary (closes: #852281, LP: #1658606).

alsa-lib (1.1.3-1) unstable; urgency=medium

   [ Elimar Riesebieter ]
   * New upstream release.
   * Introduced source.lintian-overrides as the zero byte ltconfig file isn't
     relevant for our build.
   * Bumped debhelper compatibility level to 10.
   * Changed debian/compat accordingly.
   *  Remove --with autoreconf from calls to dh.
      With Debhelper compat level 10 the autoreconf sequence is enabled by
      default.
   * Drop Build-Depends on dh-autoreconf.
   * Refreshed patches.
   * Removed Speech-stops-working-when-run-BRLTTY.patch. Solved different from
     upstream.
   * Gitfied lp652035-use-extended-namehints.patch and
     add-tegra-alc5632.patch.
   * Enabled python to install smixer. Added python-dev to Build-Depends
     accordingly.
   * Applied wrap-and-sort.
   * Updated changelog.ALSA.
 
   [ Jordi Mallach ]
   * Use HTTPS in Homepage and copyright-format URLs.

2016

alsa-lib (1.1.2-1) unstable; urgency=medium

   * New upstream release.
   * Refreshed patches.
   * Updated symbols. Bump shlibs in dh_makeshlibs call.
   * Updated changelog.ALSA.
   * Formatted debian/copyright as DEP5.

alsa-lib (1.1.1-2) unstable; urgency=medium

   * Added "dh_auto_install --destdir=debian/tmp" to debian/rules. Reversed
     Santiago's patch. Hopefully fixes FTBFS when built with
     dpkg-buildpackage -A (closes: 805992)
   * Overhauled rules accordingly.

alsa-lib (1.1.1-1) unstable; urgency=medium

   [ Elimar Riesebieter ]
   * New upstream release
   * Fix a FTBFS when built with dpkg-builldpackage -A. Thanks Santiago Vila
     for the patch.(closes: 805992)
   * Changed Breaks and Replaces of libasound-data to
     libasound2 (<<${binary:Version}). (closes: 813446).
   * Fix an error when built with dpkg-builldpackage -A. Add graphviz to
     Build-Depends-Indep: Thanks Santiago Vila for the hint. (closes: 818664)
   * Bump Standards-Version to 3.9.8.
   * Added 2 new symbols in debian/libasound2.symbols. Bump shlibs in
     dh_makeshlibs call.
   * Enabled hardening=+all
   * Remove unused *.md5 files from documentation.
   * Removed unwanted duplicates from documentation
   * Added --dbgsym-migration and remove libasound2-dbg respectively.
   * Removed invalid paragraph about upstreams bugtracker from copyright.
   * Introduced git log as upstreams changelog.

alsa-lib (1.1.0-1) unstable; urgency=medium

   [ Luke Yelavich ]
   * New upstream release
   * Update changelog.ALSA
   * Refreshed ucm configuration patches
   * Update symbols file
     - two symbols (snd_is_local, snd_rawmidi_conf_generic_id) went missing,
       but had no users in the Debian archive outside alsa-lib
 
   [ Jordi Mallach ]
   * Use https for Vcs-Browser.
   * Bump shlibs in dh_makeshlibs call.

2015

alsa-lib (1.0.29-1) unstable; urgency=low

   [ Elimar Riesebieter ]
   * Added /usr/share/doc/libasound2-dev/examples (closes: #768592).
   * Bump Standards-Version to 3.9.6.
 
   [ Luke Yelavich ]
   * New upstream release
   * Refreshed patches:
     - add-tegra-alc5632.patch
     - lp652035-use-extended-namehints.patch
     - 0001-Add-UCM-configuration-for-Nexus-4-Mako.patch
     - 0002-Add-UCM-config-file-for-Galaxy-Nexus-maguro.patch
     - 0003-Add-UCM-files-for-Nexus-7.patch
     - 0004-Add-UCM-config-files-for-Nexus-10.patch
     - 0005-Add-UCM-config-files-for-Nexus-5.patch
   * Update symbols
   * Update changelog.ALSA
 
   [ Jordi Mallach ]
   * Remove the XS-Testsuite field, no longer required with dpkg 1.17.10.
   * Add Luke Yelavich to Uploaders.

2014

alsa-lib (1.0.28-1) unstable; urgency=medium

   [ Luke Yelavich ]
   * New upstream release
   * Dropped patches, applied upstream:
     - tests_lm_ftbfs.patch
     - Fix-access-of-freed-memory-in-namehints.patch
   * Refreshed patches:
     - 0001-Add-UCM-configuration-for-Nexus-4-Mako.patch
     - 0002-Add-UCM-config-file-for-Galaxy-Nexus-maguro.patch
     - 0003-Add-UCM-files-for-Nexus-7.patch
     - 0004-Add-UCM-config-files-for-Nexus-10.patch

alsa-lib (1.0.27.2-4) unstable; urgency=medium

   * Merge all pending delta from Ubuntu:
     - Add a compile/run autopkg test
     - Add UCM profiles for Nexus 7 (2012), Nexus 10, Nexus 4 and Galaxy Nexus
     - Add config file for the tegra alc5632 chip found in the AC100 netbook
     - Add hints for non-standard devices that lack configuration files
   * Rename the autopkg test to build-seq, to make lintian happy.
   * Bump Standards-Version to 3.9.5.

2013

alsa-lib (1.0.27.2-3) unstable; urgency=low

   * Add preinst scripts to -dbg and -dev packages to correctly
     transition from symlinked doc directories to real directories
     (closes: #716874).

alsa-lib (1.0.27.2-2) unstable; urgency=high

   * Team upload.
   * Apply patch by Samuel Thibault to fix speech synthesis in the
     Debian Installer: without the /usr/share/alsa/pcm directory, one
     only gets garbage, so ship that directory in the udeb. Thanks,
     Samuel! (closes: #726258)

alsa-lib (1.0.27.2-1) unstable; urgency=low

   * New upstream release.
   * Drop fix_return_value_of_snd_pcm_rewind.patch and fix_docs_typo.patch:
     applied upstream.

alsa-lib (1.0.27.1-2) unstable; urgency=low

   * Add fix_return_value_of_snd_pcm_rewind.patch: this fixes several
     problems with plugins, and fixes a Pulseaudio crash.
   * Add tests_lm_ftbfs.patch: add -lm where needed, to fix two build
     failures in tests (closes: #709900).

alsa-lib (1.0.27.1-1) unstable; urgency=low

   * New upstream release.
   * Drop all patches: all merged upstream.
   * Add fix_docs_typo.patch: fix typo in constant name (closes: #675960).
   * Only install the card data and alsa.conf for the udeb. The smixer and
     ucm configuration files are useless in debian-installer.

alsa-lib (1.0.27-4) unstable; urgency=low

   [ Jordi Mallach ]
   * Add double_dlclose.patch: from Git; avoid a double call of dlclose()
     in dlobj caching code.
   * inline_headers.patch: from Git; use __inline__ for exported headers.
     Fixes builds for packages using C90.
   * Add ucm_profiles.patch: from Git; include UCM profiles from Chromebook
     and Ubuntu.
   * Introduce a new binary libasound2-data, and install all driver
     configuration files and UCM profiles there.
 
   [ Cyril Brulebois ]
   * Fix dh_makeshlibs call:
     - Reintroduce --add-udeb=libasound2-udeb (broken dependencies for debs
       otherwise: #708353 for alsa-utils-udeb).
     - Restore -V'libasound2 (>= 1.0.27)' as well, since symbols files don't
       work for udebs. Regular debs will keep on picking the most relaxed
       dependency, as usual. Closes: #708357.

alsa-lib (1.0.27-3) unstable; urgency=low

   * Brown paper bag: use override_dh_auto_build-indep and
     dh_auto_install-indep to handle doxygen docs, to correctly avoid
     building docs on binary-arch-only builds. Thanks to Adam Conrad
     for the suggestion.
   * Pass --disable-static to configure.

alsa-lib (1.0.27-2) unstable; urgency=low

   * Upload to unstable.
   * Move doxygen to Build-Depends-Indep (closes: #706800).

alsa-lib (1.0.27-1) experimental; urgency=low

   * New upstream release.
   * Drop sys_types_include.patch: fixed upstream.
   * Update libasound2.symbols with new API additions.
   * Mark libasound2-dbg Multi-Arch: same, so it is coinstallable.
   * Disable silent rules.
   * Bump Standards-Version to 3.9.4, with no further changes.

alsa-lib (1.0.26-1) experimental; urgency=low

   [ Elimar Riesebieter ]
   * Add sys_types_include.patch: Explicitly include <sys/types.h>, Thanks to
     Adam Conrad. (closes: #700230)
 
   [ Jordi Mallach ]
   * New upstream release.
   * It is with great pleasure that we drop the lib32asound binary package
     and all the unmanageable cruft that accompanied it (closes: #614242).
   * Rewrite debian/rules using dh.
   * Pass --list-missing to dh_install.
   * Install smixer objects, but avoid installing the python component to
     avoid an extra libpython dep on libasound2. If anyone requests it,
     we might reconsider in the future.
   * Drop htcl_remove_useless_assert.patch, applied upstream.
   * Drop libasound2.{postinst,postrm}: it was code to handle an upgrade
     case from 1999. Likewise for libasound2-dev.postinst.
   * Drop pointless dependency on libc6-dev.
   * Remove old and unused dmix example.
   * Stop symlinking doc dirs for libasound2-dev and -dbg. The amount of
     disk space saved is negligible.
   * Use default compression for source package.

2012

alsa-lib (1.0.25-4) unstable; urgency=low

   * Add htcl_remove_useless_assert.patch: apply patch from git to remove
     incorrect assert which causes KMix to crash on KDE logins
     (thanks, Ralf Jung; closes: #681078).

alsa-lib (1.0.25-3) unstable; urgency=low

   * Merge from Ubuntu:
     - Remove trailing whitespace character from the end of the
       DEB_HOST_MULTIARCH definition, as it was breaking the plugin
       directory path.
   * Mark libasound2-dev Multi-Arch: same (closes: #666763).
   * Enable hardening flags, using a patch from Simon Ruderich,
     (closes: #662685).
   * Build-Depend on dpkg-dev (>= 1.16.1) for buildflags.mk usage.
   * Bump Standards-Version to 3.9.3, no changes needed.

alsa-lib (1.0.25-2) unstable; urgency=low

   * Upload to unstable.
   * Stop Build-Depending on libcxxtools-dev. Why we were doing this is a
     mystery.
   * Put the bi-arch horror on a diet: remove all lib64* stuff, and support
     lib32* for amd64 only (there's no point in supporting ppc64 in light
     of Multiarch). Simplify debian/rules bi-arch bits assuming the install
     dir is /usr/lib32 and doing no other calculations.
   * Handle installation of bi-arch files with .install files.
   * Use sed -i to modify bi-arch build Makefile.
   * Use dh_installdocs to install Doxygen documentation.
   * Stop suggesting lib32asound2-plugins, as it's going away.
   * Continue digging through lists of symbols of previous alsa-lib
     releases. libasound2.symbols is now based on 1.0.16, the version released
     with lenny.
   * Bump debhelper to version 9.

alsa-lib (1.0.25-1) experimental; urgency=low

   * New upstream release.
   * Update debian/changelog.ALSA.
   * Run source package through wrap-and-sort.
   * Edit add-maintainer-mode.patch to use AM_MAINTAINER_MODE([enable]).
   * Drop lp178442-ICE1712.patch (stolen from Git).
   * Drop pulseaudio_configuration.patch. PulseAudio should instead use
     the new alsa.conf.d directory to load the ALSA pulse config.
   * Drop relibtoolise.patch. Instead, Build-Depend on dh-autoreconf and
     adjust rules to use it.
   * Drop configure_cross_compile.patch, as it's apparently not needed
     anymore, and dh_autoreconf makes it unusable.
   * Don't configure with --enable-static anymore, as it breaks the build
     and it was useless anyway.
   * Don't try to install .a files that aren't built anymore.
   * Add a libasound2.symbols file, for now based on 1.0.23. Thanks
     Julien Cristau for the help to get this in shape.
   * Adapt call to dh_makeshlibs to stop using -V and use -c4 for
     dpkg-gensymbols, but leave biarch packages using -V.
   * Stop installing libasound2 and libasound2-udeb stuff by hand, use
     .install files instead. Drop obsolete .dirs files.
   * Let libasound2-doc depend on libjs-jquery, and replace the included
     copy of jquery.js with a symlink (lintian).
   * Add spelling_fixes.patch with the sole intention of getting lintian to
     shut up.
   * Remove Mikael Magnusson from Uploaders.
   * Use watch file version 3, and don't uupdate.
   * Update Vcs-* URLs.

2011

alsa-lib (1.0.24.1-4) unstable; urgency=low

   [ Jordi Mallach ]
   * Get rid of README.source.
 
   [ Elimar Riesebieter ]
   * With the multi-arch move of libasound-plugins, libasound2 fails to load
     modules from the config file. multiarch-safe-dlopen-search-path.patch from
     the Ubuntu package works around this. Thanks Sjoerd Simons.
     (closes: #639613)
   * Loading the pulse configuration alsa file redirects alsa via pulse if it's
     running. pulseaudio_configuration.patch from the Ubuntu package works
     around this. Thanks Sjoerd Simons. (closes: #639615)

alsa-lib (1.0.24.1-3) unstable; urgency=low

   * Drop lib32asound2's Pre-Depends on libc6-i386, as the
     /emul/ia32-linux → /lib32 transition was completed for squeeze, and
     its presence causes a dependency loop introduced with the Multiarch
     changes (closes: #635568).
   * Make libasound2-udeb's short description unique.
   * Introduce a new libasound2-dbg package with debugging symbols for
     libasound2 (closes: #457884).

alsa-lib (1.0.24.1-2) unstable; urgency=medium

   [ Steve Langasek ]
   * Spell out the plugin dir path: the build system fails to expand
     substitutions, and '${libdir}' is obviously not present on the
     filesystem.

alsa-lib (1.0.24.1-1) unstable; urgency=low

   * New upstream release (partially based on Ubuntu updates)
     (closes: #633294).
   * Removed patches that were cherrypicked from Git or have been applied
     upstream:
     - thread-specific-locale.patch
     - thread-safe-locale.patch
     - refcount-dlobjs.patch
     - libtool-out-of-tree.patch
   * Import patch from Ubuntu:
     - lp178442-ICE1712.patch: Make pulseaudio succeed in opening
       ICE1712 chips such as Maudio 2496 and Delta 1010LT.
   * Refreshed patches:
     - relibtoolise.patch (David Henningsson).
   * Update shlibs to 1.0.24.1 (new symbols added).
   * Bump to debhelper compat v8.
   * Remove debian/tmp prefixes from .install file.
   * Add multiarch support:
     - Build-Depend on debhelper 8.1.3.
     - Add Pre-Depends: ${misc:Pre-Depends} to libasound2.
     - Declare DEB_HOST_MULTIARCH and use it to define $libdir.
     - Add an explicit --with-plugindir argument to base plugindir on the
       multiarch dir.
     - Update libasound2-dev.install.
     - Mark libasound2 Multi-Arch: same.
   * Break current versions of packages providing ALSA plugins.
   * Remove libasound2's .la file, as any reference will be now broken.

alsa-lib (1.0.23-4) unstable; urgency=low

   [ Jordi Mallach ]
   * Switch to architecture wildcard 'linux-any'.
 
   [ Elimar Riesebieter ]
   * Provide libasound2-udeb based on a patch from Samuel Thibault. Thanks.
     (closes: #613092)
 
   [ Jordi Mallach ]
   * Add -DHAVE_USELOCALE to CFLAGS (really closes: #595252). The correct
     fix would be to autoreconf entirely, but the mess of patches is bad
     enough already and this should be done better in the future when we
     go multiarch and we can cleanup debian/rules from the biarch horror.
   * Remove unneeded Suggests and Conflicts from -udeb.
   * Set Section to debian-installer.
   * Update upstream URL in copyright file.
   * Replace versioned conflicts with Breaks, and remove some obsolete ones.
   * Use versioned pointer to LGPL 2.1 licence.
   * Bump Standards-Version to 3.9.2 (no further changes).

alsa-lib (1.0.23-3) unstable; urgency=low

   [ Elimar Riesebieter ]
   * Added armhf to supported arch's of libasound2 and libasound2-dev
     (closes: #596968)
 
   [ Jordi Mallach ]
   * Acknowledge Simon's NMU. Thanks a lot!

2010

alsa-lib (1.0.23-2.1) unstable; urgency=low

   * Non-maintainer upload.
   * Add refcount-dlobjs.patch: backported upstream patch, originally by
     Jaroslav Kysela, to fix crashes when plugins are unloaded.
     (Closes: #589896, LP: #552411, #584393)
   * Add libtool-out-of-tree.patch: fix libtool version checking for the biarch
     build by grepping ltmain.sh in the ${srcdir}, making it unnecessary to
     force -DUSE_VERSIONED_SYMBOLS for the biarch build

alsa-lib (1.0.23-2) unstable; urgency=medium

   [ Elimar Riesebieter ]
   * Make setlocale() thread safe:
     Applied thread-safe-locale.patch and thread-specific-locale.patch from
     upstream. (Closes: #595252)
   * Bump Standards-Version to 3.9.1, with no changes required.

alsa-lib (1.0.23-1) unstable; urgency=low

   * New upstream release.
 
   [ Elimar Riesebieter ]
   * Add powerpcspe to the list of supported architectures. Hint by Sebastian
     Andrzej Siewior. (closes: #583615)
   * Introduced DEP-3 patch headers.
   * Patch Dont_leak_timer_fd_on_pcm_slave_close.patch applied from upstream.
     Removed.
 
   [ Jordi Mallach ]
   * Remove lpia from the list of supported architectures, as it's not used
     by Ubuntu anymore.

alsa-lib (1.0.22-2) unstable; urgency=low

   [ Jordi Mallach ]
   * Bump Standards-Version to 3.8.4, with no changes required.
 
   [ Elimar Riesebieter]
   * Readded -DUSE_VERSIONED_SYMBOLS only to the bibuild CFLAGS.
     (Closes: #570703)

alsa-lib (1.0.22-1) unstable; urgency=low

   * New upstream release. (Closes: #549531)
 
   [ Jordi Mallach ]
   * Remove lintian overrides file; it only contains an obsolete entry.
 
   [ Daniel T Chen ]
   * debian/control: Add sparc64 to Architecture field for libasound2{,-dev}
     using patch from Aurelien Jarno. Thanks! (Closes: #560405)
   * debian/patches/Dont_leak_timer_fd_on_pcm_slave_close.patch: Properly
     free timer fd when closing pcm slaves. Backported from upstream master
     HEAD (LP: #451893) (Closes: #568101)
 
   [ Elimar Riesebieter]
   * Switched to source version 3.0.
   * As we are defining CFLAGS in rules -D_GNU_SOURCE added as suposed in
     original Makefile.
   * Removed -DUSE_VERSIONED_SYMBOLS from CFLAGS. It is used in the build system
     now.
   * Removed lintian file installation from rules.

2009

alsa-lib (1.0.21a-1) unstable; urgency=low

   [ Elimar Riesebieter ]
   * New upstream release.

alsa-lib (1.0.21-1) unstable; urgency=low

   * New upstream release.
     + libasound2: Division by zero in pcm_rate.c when period_size->min == 0.
       Patch from John Lindgren applied upstream. Thanks! (closes: #539454)
 
   [ Elimar Riesebieter ]
   * Enable AM_MAINTAINER_MODE in a way where it actually has effect.
     Thanks Lionel Elie Mamane. (closes: #505088)
   * libasound2-dev: Don't install unneeded .la files. Bump shlibs to >> 1.0.20.
   * Added README.sources.
   * Updated changelog.ALSA and patches.
 
   [ Jordi Mallach ]
   * Revert .la removal after discussion with the Release Team. Instead,
     clear dependency_libs until all the depending packages have dropped the
     reverse dependency.

alsa-lib (1.0.20-4) unstable; urgency=low

   [ Elimar Riesebieter ]
   * Conflicts: libc6-i386 (<= 2.9-18) to lib32asound2 and lib32asound2-dev as
     suggested by Aurelien Jarno. (closes: #538835)
 
   [ Jordi Mallach ]
   * Update Standards-Version to 3.8.3. No changes needed.

alsa-lib (1.0.20-3) unstable; urgency=low

   [ Jordi Mallach ]
   * Build-Depend on python-dev instead of python2.4-dev, as suggested
     by Steve Langasek (closes: #532044).
 
   [ Elimar Riesebieter ]
   * Move files in /emul/ia32-linux to /usr/lib32 as suggested by Clint Adams.
   * Pre-Depends: libc6-i386 (>= 2.9-18) (closes: #533005)
   * Bumped Standards-Version to 3.8.2. No changes.

alsa-lib (1.0.20-2) unstable; urgency=medium

   [ Elimar Riesebieter ]
   * Added -DUSE_VERSIONED_SYMBOLS to CFLAGS. This make sure the symbols
     associated to ALSA_0.9.0rc4 and ALSA_0.9.0rc8 are back in lib32asound2.
     (closes: #529940)
   * Removed duplicated 'Section' fields in debian/control.

alsa-lib (1.0.20-1) unstable; urgency=low

   * New upstream release.
 
   [ Elimar Riesebieter ]
   * Added lib(32|64)asound2-plugins to lib(32|64)asond2 suggestions. Thanks Jan
     Muszynski. (closes: #523420)
   * Added avr32 to Architectures. Thanks Bradley Smith for the hint.
     (closes: #528667)
   * Replaced "dh_clean -k" with "dh_prep"
   * Bumped Standard-Version to 3.8.1; no changes needed.
   * All patches refreshed.

alsa-lib (1.0.19-1) unstable; urgency=low

   * New upstream release.
   * Upload to unstable.
 
   [ Elimar Riesebieter ]
   * Install asoundrc.txt as an example. (closes: #505090)
   * Added libcxxtools-dev to Build-Depends
 
   [ Jordi Mallach ]
   * Change configure calls to use --build instead of --host to correct
     the biarch build for alsa-lib. Thanks to Andreas Metzler and
     Neil Williams for the advice (closes: #516585).

2008

alsa-lib (1.0.18-1) experimental; urgency=low

   * New upstream release.
 
   [ Jordi Mallach ]
   * Improve libasound2's short description following suggestions by
     Dan Chen and Barry deFreese. Thanks! (closes: #493512)
 
   [ Elimar Riesebieter ]
   * Shorten new short descriptions in debian/control. (closes: #493512)
   * Pulseaudio 0.9.11 should be supported now. (closes: #499597)
   * Bump shlibs to 1.0.18, as new symbols have been added.
     - Adjusted suggested libasound2-plugins versions to 1.0.18.

alsa-lib (1.0.17-1) experimental; urgency=low

   [ Elimar Riesebieter ]
   * New upstream release.
     - The "let's cleanup fixed bugs" release ;)
     (closes: #473384, #372735, #302227, #342026, #257797, #335046, #312577)
     (closes: #456643, #274951, #275573, #289206, #317426, #356049, #369530)
     (closes: #400268, #469641, #470568, #470865, #383054, #477991, #407641)
   * Removed patches as they are not needed anymore:
     - aclocal_libs_fix.patch
     - alpha_versioned_symbols.patch
     - dmix_first_set_fix.patch
     - doxygen_links.patch
   * Reorganized relibtoolise.patch
   * Switched to debhelper 7.
   * Bumped Standard-Version to 3.8.0; no changes needed.
   * libasound2-doc.doc-base: s/\/Apps//
 
   [ Jordi Mallach ]
   * Bump shlibs to 1.0.17, as new symbols have been added.
   * Target experimental, due to lenny freeze and the shlibs bump which could
     interfere.
   * Add lpia to supported arches for libasound2 and libasound2-dev.

alsa-lib (1.0.16-2) unstable; urgency=medium

   [ Elimar Riesebieter ]
   * Introduced dmix_first_set_fix.patch from ALSA hg repository.
     (closes: #469064)

alsa-lib (1.0.16-1) unstable; urgency=low

   * New upstream release
 
   [ Elimar Riesebieter ]
   * Switched to debhelper 6.
   * Bumped Standard-Version to 3.7.3; no changes needed.
   * Removed fix-sampling-bit-shifts.patch. Applied from upstream.
   * debian/rules: Let dh_shlibdeps run with lib64asound2 too.
   * Removed useless dir files.
   * Fullified copyright not in copyright file.
 
   [ Jordi Mallach ]
   * Bump shlibs to 1.0.16, new symbols have been added.

2007

alsa-lib (1.0.15-3) unstable; urgency=medium

   [ Jordi Mallach ]
   * Switch to now official Vcs-* control fields.
   * New patch fix-sampling-bit-shifts.patch, provided by Loïc Minier
     which reverts broken bit shifts introduced in alsa-lib HG r2264,
     which were causing lots of clicks and creaking on at least
     GStreamer-based audio. Closes: #452282 and countless others.

alsa-lib (1.0.15-2) unstable; urgency=low

   [ Elimar Riesebieter ]
   * Added --with-plugindir=/$(bilibdir)/alsa-lib to config flags.
     (closes: #449418)

alsa-lib (1.0.15-1) unstable; urgency=low

   * New upstream release
 
   [ Elimar Riesebieter ]
   * Removed mdw.patch. Applied from upstream.
   * Added python2.4-dev to BuildDepends.
   * Added Homepage header in debian/control.
   * Added --disable-python for crosscompiling 64bit flavour.
   * debian/rules biarch code doesn't work for new architectures. Patch from
     Martin Michlmayr (closes: #447879)

alsa-lib (1.0.14a-2) unstable; urgency=low

   [ Elimar Riesebieter ]
   * PCM plugin `lfloat' not built: patch from Mark Wooding. The patch is
     applied upstream and should be disabled next rc release. (closes: #430833)
   * For some reason quilt refreshed relibtoolise.patch.
   * debian/control: s/${Source-Version}/${binary:Version}/
   * debian/rules: s/-$(MAKE) distclean/[ ! -f Makefile ] || $(MAKE) distclean/

alsa-lib (1.0.14a-1) unstable; urgency=low

   [ Elimar Riesebieter ]
   * New upstream release
     - Fix plugin directory
     - Properly disable -Bsymbolic-functions if ld doesn't support
   * Revert passing --with-plugindir.

alsa-lib (1.0.14-2) unstable; urgency=low

   * debian/rules: pass --with-plugindir to configure, as a typo in
     configure.in sets a bad default (closes: #428334).

alsa-lib (1.0.14-1) unstable; urgency=low

   * New upstream release
 
   [ Elimar Riesebieter ]
   * Patch management switched to quilt. This is more comfortable.
 
   [ Jordi Mallach ]
   * Bump shlibs to 1.0.14, as new symbols have been added.

alsa-lib (1.0.14~rc4-2) experimental; urgency=low

   [ Jordi Mallach ]
   * debian/control:
     - add XS-Vcs-Browser and XS-Vcs-Svn headers.
     - Build-Depend on gcc-multilib only on the available architectures
       (thanks Frank Lichtenheld; closes: #424310).

alsa-lib (1.0.14~rc4-1) experimental; urgency=low

   [ Elimar Riesebieter ]
   * New upstream release candidate.
   * Added gcc-multilib to Build-Depends. Thanks Bastian Blank and Matthias
     Klose. (closes: #422513)

alsa-lib (1.0.14~rc3-2) experimental; urgency=low

   [ Jordi Mallach ]
   * debian/control: fix typo which broke hppa build (closes: #420999).

alsa-lib (1.0.14~rc3-1) experimental; urgency=low

   [ Elimar Riesebieter ]
   * New upstream release candidate.

2006

alsa-lib (1.0.14~rc1-1) experimental; urgency=low

   * New upstream release candidate.
 
   [ Elimar Riesebieter ]
   * Added arch armel to libasound. (closes: #408766)

alsa-lib (1.0.13-2) unstable; urgency=medium

   [ Elimar Riesebieter ]
   * Added XS-X-Vcs-Svn field in control.
   * Make recording sound on Thinkpad t20 with chip Cirrus Logic CS 4614/22/24
     work (closes: #410863)
   * Urgency medium to serve this feature to etch users. This is fixed in 1.0.14
     version and doesn't need be patched there.

alsa-lib (1.0.13-1) unstable; urgency=low

   * New upstream release
 
   [ Elimar Riesebieter ]
   * Rebuild patches/40_relibtoolise.dpatch.
   * Removed debian/patches/11_libtool_version.dpatch. Applied different from
     upstream

alsa-lib (1.0.12-1) unstable; urgency=low

   * New upstream release.
 
   [ Elimar Riesebieter ]
   * Removed 06_pcm_rate_hwptr_update.dpatch. Applied upstream.
   * Bumped compat to 5 and debhelper version >=5.0.37.
   * Cleaned out fuzzes and offsets in patches/*
   * Rebuild patches/40_relibtoolise.dpatch.
   * Removed description-synopsis-starts-with-a-capital-letter lintian
     overrides. No longer needed.
   * Added lib64asound2.lintian-overrides.
 
   [ Jordi Mallach ]
   * Bump shlibs due to newly added symbols.

alsa-lib (1.0.11-7) unstable; urgency=medium

   [ Elimar Riesebieter ]
   * Introduced --datadir=\$${prefix}/share in debian/rules. Otherwise soundapps
     are looking in $BUILDDIR/${prefix}/share.

alsa-lib (1.0.11-6) unstable; urgency=high

   * debian/patches/11_libtool_version: correctly detect libtool version in
     configure, avoiding some libasound symbols from becoming weak.
     Patch by Adeodato Simó, thanks! (closes: #369040 + 13 more).

alsa-lib (1.0.11-5) unstable; urgency=medium

   * debian/rules: Run dh_makeshlibs for the biarch libraries. Thanks,
     Matthias Klose (closes: #366277).
   * Fix FTBFS on systems with automake & autoconf installed, via adding
     AM_MAINTAINER_MODE to configure.in, a full relibtoolisation patch, and
     applying the cross-compiling patch after relibtoolisation
     (thanks Loïc Minier, closes: #368260).
     [debian/rules, debian/patches/05_multiarch.dpatch,
     debian/patches/10_add-maintainer-mode.dpatch, 40_relibtoolise.dpatch,
     41_configure_cross_compile.dpatch]

alsa-lib (1.0.11-4) unstable; urgency=low

   * debian/patches/06_pcm_rate_hwptr_update.dpatch: Fix the update of hwptr
     in rate plugin to avoid bad sounds on Ekiga and other applications
     (closes: #367524).
   * Bumped Standard-Version to 3.7.2; no changes needed.

alsa-lib (1.0.11-3) unstable; urgency=low

   * debian/control: make lib32asound2 Replace/Conflict ia32-libs (<< 1.9),
     by suggestion of Frederik Schueler.

alsa-lib (1.0.11-2) unstable; urgency=low

   * debian/rules:
     - bump shlibs to 1.0.11.
     - move a comment to a variable assignment that was breaking amd64 builds.

alsa-lib (1.0.11-1) unstable; urgency=low

   [ Jordi Mallach ]
   * New upstream release
 
   [ Matthias Klose / Thomas Hood ]
   * amd64: Drop dependencies on ia32-libs*, install into /emul/ia32-linux

alsa-lib (1.0.10+1.0.11rc3-1) experimental; urgency=low

   * New upstream release candidate
 
   [ Jordi Mallach ]
   * Tweak descriptions.

alsa-lib (1.0.10+1.0.11rc2-2) experimental; urgency=low

   [ Jordi Mallach ]
   * Apply Matthias Klose's patch to build biarch packages (closes: #339443)
 
   [ Peter De Schrijver ]
   * 05_multiarch.dpatch: Fix configure script for biarch builds.

alsa-lib (1.0.10+1.0.11rc2-1) experimental; urgency=low

   [ Thomas Hood ]
   * New upstream release candidate
     Closes: #336115 LADSPA plugin rewrite for multiple channel LADSPA
     plugins

2005

alsa-lib (1.0.10+1.0.11rc1-1) experimental; urgency=low

   * New upstream release candidate
     Closes: #340478 "Breaks PMacToonie.conf"
 
   [ Thomas Hood ]
   * Move libasound2-doc to Section: doc  (Closes: #343900)

alsa-lib (1.0.10-2) unstable; urgency=low

   [ Thomas Hood ]
   * Remove obsolete .asoundrc example for enabling dmix.  dmix is now
     enabled by default for all sound cards that support it
     (Closes: #340763, #342026)
 
   [ Mikael Magnusson ]
   * Fix broken doxygen links in pcm.c and rawmidi.c. (Closes: #337251)

alsa-lib (1.0.10-1) unstable; urgency=low

   * New upstream release
     Closes: #336110 Fails to read config when locale delim not '.'
     Closes: #336111 LADSPA plugins no work when locale delim not '.'
   * Jordi Mallach
     - Bump shlibs to 1.0.10.

alsa-lib (1.0.9+1.0.10rc3-1) experimental; urgency=low

   * New upstream release candidate
   * Thomas Hood
     - Conflict with pre-1.0.9 libasound2-plugins
   * Jordi Mallach
     - Add "armeb" to our static list of target architectures.

alsa-lib (1.0.9+1.0.10rc2-1) experimental; urgency=low

   * New upstream release candidate
   * Thomas Hood
     - debian/control: s/Architecture: any/Architecture: <Linux arches>/
       (Closes: #327186)

alsa-lib (1.0.9+1.0.10rc1-1) experimental; urgency=low

   * New upstream release candidate
     - Closes: #277539 (allow control of shm gid)
   * Thomas Hood
     - Update upstream changelog; put it and NOTES in -doc
     - Replace -dev's doc dir with a symlink
     - Make -dev and -doc Suggest each other
   * Jordi Mallach
     - Bump shlibs

alsa-lib (1.0.9-3) unstable; urgency=low

   * Thomas Hood
     - Bump Standards-Version to 3.6.2.1; no changes required
     - Make libasound2-dev Conflict with alsa-headers (old dummy pkg)
     - Add upstream changelog
     - Drop aserver program  (Closes: #290735, #285320).
       If you need the aserver program, please file a wish in the
       Debian BTS.  For bonus marks, include a man page!
     - Eliminate obsolete dependencies

alsa-lib (1.0.9-2) unstable; urgency=low

   * Thomas Hood
     - Conflict with pre-1.0.9 libasound2-plugins

alsa-lib (1.0.9-1) unstable; urgency=low

   * New upstream release
     - Fix bug that disabled stack protection (CAN-2005-0087)
       (RedHat bug #144518)  (Closes: #301164)
     - Fixes related to mplayer (Closes: #310189)
   * Jordi Mallach
     - debian/rules: bump shlibs to 1.0.9.

alsa-lib (1.0.8+1.0.9rc3-1) experimental; urgency=low

   * New upstream release
     - Closes: #291533 "ttable in .asoundrc do not accept fractions"
     - Closes: #293928 "wrong routings of channels for 5.1 ICH5"
     - Closes: #299423 "Please include asound_fm.h"
     - Closes: #300792 "FTBFS (ppc64/gcc-4.0): static declaration ..."
     - libasound2-plugins is no longer built from this source package
   * Thomas Hood
     - Remove the control entry, commands in rules, build dependencies
       related to libasound2-plugins
     - Add some mutual Suggestions among the ALSA library packages
     - Drop dpatch applied upstream: 10_conf-space-fix
     - debian/NOTES:
       + Add note about what to do if we ever have libasound3
       + Remove note about building libasound2-plugins
     - Tweak descriptions

alsa-lib (1.0.8-3) unstable; urgency=medium

   * Thomas Hood:
     - debian/control
       + s/alsalib-dev/libasound-dev/ in libasound2-dev's Conflicts: and
         Provides:, to use a more standard naming scheme

alsa-lib (1.0.8-2) unstable; urgency=medium

   * Thomas Hood:
     - Add 10_conf-space-fix.dpatch so that libasound2 works with sound
       card names containing spaces  (Closes: #294880, #293907)

alsa-lib (1.0.8-1) unstable; urgency=low

   * New upstream release
     (Closes: #290034 "libasound2 1.0.7 causing problems with XMMS")
   * Thomas Hood:
     - Eliminate 10_pcm_wait_assertion.dpatch (applied upstream)
     - examples/asound.conf_dmix
       + Simplify
       + Mention /usr/share/doc/libasound2-doc/html/conf.html
     - debian/rules
       + Eliminate debian/libasound2.shlibs; instead, use
            dh_makeshibs -V'libasound2 (>> 1.0.8)'
         (Version bumped up from 1.0.5)
       + Add -n option to dh_makeshlibs -plibasound2-plugins so that
         no ldconfig is done in libasound2-plugins's post(rm|inst).
         Eliminates lintian warning postinst-has-useless-call-to-ldconfig
   * Jordi Mallach:
     - debian/rules: minor simplification.

2004

alsa-lib (1.0.7-4) unstable; urgency=high

   * Thomas Hood:
     - debian/patches/
       + Add 10_pcm_wait_assertion  (Closes: #284555)

alsa-lib (1.0.7-3) unstable; urgency=low

   * debian/control: move doxygen to Build-Depends, to avoid our old
     "policy vs. reality" conflict. Thanks LaMont for the live help. :)

alsa-lib (1.0.7-2) unstable; urgency=medium

   * Thomas Hood:
     - libasound2.postinst: Remove cruft only on configure
     - libasound2.postrm: Add to remove cruft on purge too
   * Jordi Mallach:
     - revert modifications made for libasound2-data, as that didn't
       get past ftpmasters. Not providing an upgrade path as this never
       hit the archive. No beer for Kinnison! ;)

alsa-lib (1.0.7-1) unstable; urgency=low

   * New upstream release
     - Closes: #273498  "Rhythmbox won't playback on ICE1712 card"
     - Closes: #280543  "emu10k1: sound cut when passthru enabled"
   * Thomas Hood:
     - Move arch-indep files from libasound2 to libasound2-data
       (Closes: #281389)
     - debian/rules
       + Extensive changes because of introduction of libasound2-data
       + Set DH_VERBOSE=1 until we're less worried about build failures
     - debian/patches/
       + 01_aclocal_underquote_warning   Delete unused
       + 01_aserver_options              Remove obsolete
       + 01_conf_backslash               Remove obsolete
       + 01_alpha_versioned_symbols      Leave
       + 02_aclocal_libs_fix             Leave
     - debian/control
       + Eliminate duplicate dependencies from Build-Depends-Indep
     - debian/watch: update
     - libasound2.NEWS:
       + Update
   * Jordi Mallach:
     - debian/control
       + Make libasound2-data replace libasound2 (<< 1.0.7)

alsa-lib (1.0.6-5) unstable; urgency=medium

   * Thomas Hood:
     - debian/control:
       + Add libjack0.80.0-dev back to Build-Depends  (Closes: #281685)

alsa-lib (1.0.6-4) unstable; urgency=medium

   * Thomas Hood:
     - /usr/share/doc/libasound2/examples/asound.conf_dmix
       + Add as an example of how to set up /etc/asound.conf
         or ~/.asoundrc so that the dmix plugin is used to
         mix together multiple sound sources
     - debian/control:
       + Tweak Descriptions
   * Jordi Mallach:
     - debian/rules:
       + Install doxygen docs in /usr/share/doc/libasound2-doc/,
         not in .../libasound2-dev/  (Closes: #277837)
     - debian/libasound2-doc.install:
       + Update html docs path
     - debian/libasound2-doc.doc-base:
       + Add this file to register the doxygen docs
     - debian/rules:
       + Implement an easy way to disable the build of the jack plugin,
         thus allowing breaking of the circular build dependency
         between jack-audio-connection-kit and alsa-lib.  Please see
         the README.build file for more information.  (Closes: #222677)
         Thanks to Colin Watson for the suggestion.
     - debian/README.build:
       + Added (to the source package) with instructions on how
         to build alsa-lib without libjack0.80.0-dev.

alsa-lib (1.0.6-3) unstable; urgency=medium

   * Jordi Mallach:
     - Add NEWS file for libasound2 to describe the version mismatch
       problem (#275573) and to provide solution alternatives
     - debian/control: require debhelper (>= 4.1.51) for NEWS.Debian
       support
   * Thomas Hood:
     - Fix up copyright file
     - debian/control:
       + Tweak Description
       + Don't Depend on alsa-headers which doesn't exist any more.
       + Build-Depend on doxygen >> 1.3.8-20040913-1 in order to
         prevent build segfault

alsa-lib (1.0.6-2) unstable; urgency=medium

   * Thomas Hood:
     - conf.c
       + Add 01_conf_backslash.dpatch:
         Make backslash a LOCAL_UNEXPECTED_CHAR
         Patch backported from CVS
     - aserver.c
       + Add 01_aserver_options.dpatch:
         Terminate long_options structure  (Closes: #211893)
         Thanks to Clement Stenac for the patch
   * Jordi Mallach:
     - this rebuild should fix the version missmatch in version.h
       (closes: #271047).
     - debian/patches/01_alpha_versioned_symbols.dpatch: apply patch from
       Steve Langasek to force the usage of USE_VERSIONED_SYMBOLS on
       alpha to workaround the usage of non-portable assembly
       (closes: #272998).

alsa-lib (1.0.6-1) unstable; urgency=low

   * New upstream release.
   * Jordi Mallach:
     - debian/control: add Thomas Hood to Uploaders.

alsa-lib (1.0.5-1) unstable; urgency=low

   * New upstream release.
   * Jordi Mallach:
     - debian/libasound2.shlibs: bump shlibs again, new symbols added.

alsa-lib (1.0.4-1) unstable; urgency=low

   * New upstream release.
     - More snd_pcm_mmap_commit fixes (Closes: #238212)
   * David B. Harris:
     - Bump shlibs, several new symbols were added.
   * Jordi Mallach:
     - debian/rules: remove workaround for hppa build, works ok now.
     - debian/control:
       + change Maintainer name to "Debian ALSA Maintainers".
       + update Standards-Version to 3.6.1.0 (no changes needed).

alsa-lib (1.0.3b-1) unstable; urgency=medium

   * New upstream release
     + Various and sundry dmix problems fixed (Closes: #236394)
     + snd_pcm_mmap_commit fixed (Closes: #238212)
     + Urgency set to 'medium' as these bugs caused problems for a lot of
       people.
   * Don't distribute ancient and non-updated changelog.gz (Closes: #236294)

alsa-lib (1.0.3-1) unstable; urgency=low

   * New upstream release
     + works on exec-shield enabled kernels (Closes: #235954)
   * David B. Harris:
     + Change Maintainer: email address from my private address to
       dbharris@debian.org

alsa-lib (1.0.2-1) unstable; urgency=low

   * New upstream release.
   * David B Harris:
     + debian/patches/00list: Remove 01_aclocal_underquote_warning, it has been
       integrated upstream.
     + debian/libasound2.shlibs: bump shlibs version, forgot to do this for
       the new upstream release (symbol sndo_pcm_transfer_block was added).

alsa-lib (1.0.1-1) unstable; urgency=medium

   * New upstream release (closes: #228102).
     + NOTE! This version includes source incompatibility with previous
       versions. We tested a great many packages and filed bugs, but you may
       want to check your own package too if it Build-Depends: on
       libasound2-dev. The change is briefly documented at
       /usr/share/doc/libasound2-dev/NOTES.
   * David B Harris:
     + Bump libasound2.shlibs to this release (>> 1.0.0) as a new
       symbol (snd_seq_port_subscribe_set_voices)
     + Install "NOTES" file as documentation in libasound2-dev, which documents
       the recent source-incompatible change
   * Jordi Mallach:
     + debian/rules: dpatchify this package.
     + debian/patches/01_aclocal_underquote_warning.dpatch: Apply patch from
       Alexander Kogan to avoid a warning with automake 1.8 (closes: #228687).
     + debian/patches/02_aclocal_libs_fix.dpatch: Move Joy's patch to a dpatch.
     + debian/control: switch to JACK 0.80.0.

2003

alsa-lib (0.9.8-2) unstable; urgency=medium

   * Jordi Mallach:
     + debian/rules: workaround weird FTBFS in hppa using -O0 in this arch
       (thanks for the testing, LaMont).

alsa-lib (0.9.8-1) unstable; urgency=low

   * New upstream release.
   * David B Harris:
     + Bump shlibs requirement, as new symbols have been added

alsa-lib (0.9.6-3) unstable; urgency=low

   * Jordi Mallach:
     + utils/alsa.m4: further fixes from Joy. Don't despair, XMMS users.

alsa-lib (0.9.6-2) unstable; urgency=low

   * Jordi Mallach:
     + utils/alsa.m4: don't modify LIBS gratuitously (closes: #208883).
       Thanks, Josip Rodin.

alsa-lib (0.9.6-1) unstable; urgency=low

   * New upstream release.
   * David B. Harris
     + Import new upstream version to our CVS tree
     + Remove outdated Suggests: alsadriver. alsadriver doesn't exist any more,
       and nothing Provides: it. (Closes: #199389)

alsa-lib (0.9.4-2) unstable; urgency=low

   * Jordi Mallach:
     + debian/libasound2-plugins.links: symlink libasound_module_pcm_jack.so
       to libasound_module_pcm_jack.so.2.0.0 (thanks Neil Darlow,
       closes: #197497).

alsa-lib (0.9.4-1) unstable; urgency=low

   * David B. Harris:
     + New upstream release.
   * Jordi Mallach:
     + debian/copyright: update list of ALSA maintainers.
     + debian/control: update JACK build dependency to libjack0.71.2-dev
       (closes: #197121).

alsa-lib (0.9.3-2) unstable; urgency=low

   * Steve Kowalik:
     - Don't jump to build-stamp-indep in the build rule. (Closes: #194297)
     - Bump to Standards-Version 3.5.10.0; no changes needed.

alsa-lib (0.9.3-1) unstable; urgency=low

   * New upstream release.
   * Jordi Mallach:
     + debian/control:
       - add libc6-dev | libc-dev to libasound2-dev's dependencies
         (closes: #147649).
       - add libasound2-doc to libasounds2-dev's suggestions.
       - add Build-Depends on libjack0.50.0-dev to build the JACK plugin.
       - add Build-Depends-Indep on debhelper and doxygen to build
         alsa-lib docs.
       - new binary package, libasound2-plugins, which holds extra plugins.
     + debian/rules: build and install the JACK plugin into libasound2-plugins.
     + debian/libasound2-plugins.install: add usr/lib/alsa-lib.
   * David B Harris:
     + debian/control: Move libasound2-dev to section libdevel.
     + debian/libasound2.shlibs: Bump required version to 0.9.3, several new
       symbols were added.
     + Add a new package, libasound2-doc. Contains the doxygen-generated HTML
       documentation for the libasound2 APIs. (Closes: #189638)

alsa-lib (0.9.2-2) unstable; urgency=medium

   * Jordi Mallach:
     + Rebuild the package with the correct options for cvs-buildpackage
       (closes: #186840).

alsa-lib (0.9.2-1) unstable; urgency=low

   * New upstream release.
   * Jordi Mallach:
     + debian/control: bump depends to 0.9.2.
     + debian/libasound2.shlibs: update to 0.9.2.

alsa-lib (0.9.1-1) unstable; urgency=low

   * New upstream release.
   * Jordi Mallach:
     + debian/libasound2.shlibs: bump to 0.9.1.
     + debian/control: depend on alsa-headers 0.9.1, too.

alsa-lib (0.9.0rc8c-1) unstable; urgency=low

   * New upstream release.
   * debian/control: add David B. Harris <david@eelf.ddts.net> to Uploaders:,
     drop Martin Loschwitz.
   * debian/shlibs: updated to rc8.

alsa-lib (0.9.0rc7-3) unstable; urgency=low

   * debian/control:
     + sigh, add Replaces: libasound2 (<< 0.9.0rc7-2) to libasound2-dev.
       Promise I tested this (with dpkg -i, right...) (closes: #181711).
     + drop the pkg-config dependency from libasound2-dev, as the aclocal
       macro doesn't use it.

alsa-lib (0.9.0rc7-2) unstable; urgency=low

   * debian/control:
     + sync maintainer name with alsa-driver.
     + fix debhelper requirement to (>= 4.0.0), as we're using DH_COMPAT=4.
     + add Depends: pkg-config to libasound2-dev.
     + Standards-Version: 3.5.8.0.
   * debian/rules:
     + install stuff in debian/tmp, not debian/libasound2.
     + use dh_install instead of dh_movefiles.
     + remove call to dh_undocumented.
     + don't remove libtool stuff by hand.
   * debian/libasound2.install: install lib, aserver and alsa config files.
   * debian/libasound2-dev.install: install development, aclocal and pkgconfig
     files (closes: #181589).

alsa-lib (0.9.0rc7-1) unstable; urgency=low

   * New upstream release.
   * debian/compat: use DH_COMPAT=4.
   * debian/control:
     + change maintainer to "Debian Alsa Psychos
       <debian-alsa@lists.wedontsleep.org", add Martin to Uploaders:.
     + update Depends: to rc7.
     + minor fix to descriptions.
   * debian/copyright: update packaging history.
   * debian/shlibs: bump to rc7.
   * debian/rules: remove DH_COMPAT definition.

2002

alsa-lib (0.9.0rc6-1) unstable; urgency=low

   * New upstream release.
   * debian/control:
     + new Maintainers, Martin Loschwitz <madkiss@madkiss.org>,
       Jordi Mallach <jordi@debian.org> and
       Steve Kowalik <stevenk@debian.org>.
     + drop alsa-headers from Build-Depends. They are included in the tarball
       now.
   * debian/rules:
     + use the symlink method for config.{guess,sub} updating.
     + remove stuff for DEB_BUILD_OPTIONS "strip", as it's handled by
       debhelper.
     + cleanup libtool stuff that is left behind.
   * debian/shlibs: tighten depends again, gratuitously.
   * Maintainer upload, ack NMU's (closes: #101287, #145016, #149159,
     closes: #122775, #162359, #70370, #81018, #126069, #142877, #144592,
     closes: #156448, #157056, #117109).

alsa-lib (0.9.0rc5-0.2) unstable; urgency=low

   * Non-Maintainer Upload.
   * debian/control: Build-Depend & Depend on alsa-headers (>= 0.9.0rc5).
   * debian/shlibs: tighten depends to (>> 0.9.0rc5). Sigh.

alsa-lib (0.9.0rc5-0.1) unstable; urgency=low

   * Non-Maintainer Upload.
   * New upstream release.
   * debian/changelog: remove emacs local variables.
   * debian/rules: call "make distclean" instead of "make clean".

alsa-lib (0.9.0rc3-0.3) unstable; urgency=low

   * debian/libasound2.postinst: remove crufty /usr/doc link left over by
     ancient alsalib0.3.0 (closes: #81018).
   * debian/rules:
     + add support for DEB_BUILD_OPTIONS "noopt", drop "debug".
     + quote around $(CFLAGS).
   * debian/shlibs: tighten to (>> 0.9.0rc3). Somewhere between beta10 and
     rc3 there was an incompatible change which breaks alsactl (thanks,
     Peter Cordes; closes: #162359).

alsa-lib (0.9.0rc3-0.2) unstable; urgency=low

   * Non-Maintainer Upload.
   * debian/copyright: correct alsa-lib's license, it's LGPL, not GPL.
     (closes: #142877).
   * EMU10K1.conf is fixed in this version (closes: #144592).
   * alsa-base dependency was downgraded on 0.9.0beta10a-1 (closes: #117109).
   * User error, libasound2-dev's Depends: are ok (closes: #156448).
   * alsa/asoundlib.h is correct in this version (closes: #126069).
   * Build-Depends have been fixed for a long time (closes: #70370).

alsa-lib (0.9.0rc3-0.1) unstable; urgency=low

   * Non-Maintainer Upload. Nearly all the work was done by
     Bastian Kleineidam <calvin@debian.org>.
   * New upstream release.
   * New upstream has updated iatomic.h for mips
     (closes: #149159, #145016).
   * Removed unnecessary powerpc patch.
   * Removed libtool hack (dont know why this was there).
   * Removed call to auto* tools, adjust build-depends.
   * Build-depend on latest alsa-headers.
   * Standards-Version: 3.5.6.1.
   * DH_COMPAT=3; change debian/tmp references to debian/$(package)
     (closes: #157056).
   * Update config.{guess,sub}, ran libtoolize (closes: #101287).
   * Do s/make/$(MAKE)/ in debian/rules.
   * Add install target to debian/rules.
   * Removed unnecessary debian/libasound0.4*.
   * Removed unnecessary debian/postinst.
   * Link asound.1 to undocumented.

alsa-lib (0.9.0rc1-1) unstable; urgency=low

   * New upstream release
   * Standards-Version: 3.5.6.0

alsa-lib (0.9.0beta12-1) unstable; urgency=low

   * New upstream release

2001

alsa-lib (0.9.0beta10a-1) unstable; urgency=low

   * New upstream release
   * Applied powerpc patch from Jack Howarth <howarth@bromo.msbb.uc.edu>
   * Changed Recommends: alsa-base to Suggests.

alsa-lib (0.9.0beta9-1) unstable; urgency=low

   * New upstream release
   * Maintainer release (closes: #97988)
   * add --enable-static.
   * some lintian fixes.

alsa-lib (0.9.0beta7-1.2) unstable; urgency=low

   * NMU
   * Avoid use of functions from <asm/atomic.h> on HPPA.  More of #97988.

alsa-lib (0.9.0beta7-1.1) unstable; urgency=low

   * Non-maintainer upload
   * Avoid use of functions from <asm/atomic.h> on ARM and SPARC.
     (Closes: #97988)

alsa-lib (0.9.0beta7-1) unstable; urgency=low

   * New upstream release

alsa-lib (0.9.0beta4-1.1) unstable; urgency=low

   * Run libtoolize to get support for new architectures.  Closes: #101287
   * printf is a macro as of gcc 3.0.  Fix usage of printf as a field.

alsa-lib (0.9.0beta4-1) unstable; urgency=low

   * New upstream release

alsa-lib (0.9.0beta3-1) unstable; urgency=low

   * New upstream release

alsa-lib (0.5.10-1) unstable; urgency=low

   * New upstream release
   * Changed a relationship severity of alsadriver
      from recommends to suggets.
       (closes: #79527, #79427)
   * Added Build-Depends: debhelper.

2000

alsa-lib (0.5.9-4) unstable; urgency=low

   * Removed a confliction with alsa-base (<< 0.5.9d-6)
     and added a recommendation to alsa-base.

alsa-lib (0.5.9-3) unstable; urgency=low

   * Removed Provides: alsalib.
   * Updated for new Debian ALSA system.
      - now can coexist with different version of ALSA library.
        Removed a dependency to alsa-base.
        (closes: #74188).
      - Added Conflicts: alsa-base (<< 0.5.9d-6).

alsa-lib (0.5.9-1) unstable; urgency=low

   * New upstream release

alsa-lib (0.5.8-1) unstable; urgency=low

   * new upstream release.

alsa-lib (0.5.7-4) unstable; urgency=low

   * Changed section of libasound1 and libasound1-dev to libs and devel.

alsa-lib (0.5.7-3) unstable; urgency=low

   * Changed dependency relationships.
      ALSA Kernel API was fixed. This menas we dont't need to consider
      ALSA kernel version :)
   * Added automake, autoconf, libtool entries to build depends.

alsa-lib (0.5.7-2) unstable; urgency=low

   * Updated dependency info. (closes: #62011)
   * Removed minor dependencies for alsa-base of libasound1.

alsa-lib (0.5.7-1) unstable; urgency=low

   * New upstream release

alsa-lib (0.5.6-2) unstable; urgency=low

   * Fixed debian/copyright.

alsa-lib (0.5.6-1) unstable; urgency=low

   * New upstream release

alsa-lib (0.5.5-2) unstable; urgency=low

   * Removed version name from this source name.

alsa-lib-0.5 (0.5.5-1) unstable; urgency=low

   * New upstream release

alsa-lib-0.5 (0.5.4-1) unstable; urgency=low

   * New upstream release

alsa-lib-0.5 (0.5.3-1) unstable; urgency=low

   * New upstream release.
   * Added -version-info to src/Makefile.am because of wrong versioning
     of the upstream.

alsa-lib-0.5 (0.5.2-1) unstable; urgency=low

   * New upstream release

alsa-lib-0.4 (0.4.1e-3) unstable; urgency=low

   * Renamed source name.

alsalib (0.4.1e-2) unstable; urgency=low

   * Added 'Conflicts: alsalib0.1.3'. (Closes: #36206, #39446)
   * Changed GPL's path info in copyright.

1999

alsalib (0.4.1e-1) unstable; urgency=low

   * new upstream release.

alsalib (0.4.1d-1) unstable; urgency=low

   * new upstream release.

alsalib (0.4.1-4) unstable; urgency=low

   * wrong closes format in -3 (Closes: #46751)
   * Added shlibs info libasound0 (<< 0.4.2).

alsalib (0.4.1-3) unstable; urgency=low

   * new upstream release.
   * Changed package name.
   * Fixed missing headers files: Need alsa-headers (Closes #46751)

alsalib (0.3.2-2) unstable; urgency=low

   * Now includes a dummy alsalib0.3.0 package to attempt to cover up for
     the evil bug in the previous alsalib0.3.0's prerm.

alsalib (0.3.2-1) unstable; urgency=low

   * New upstream version (skipped 0.3.1, because I'm too slow)
   * Resolved namespace clash in the doc-base documentation.

alsalib (0.3.0-pre4-1) unstable; urgency=low

   * New upstream version
   * Use maintainer-clean-am target to clean libtool stuff up

alsalib (0.3.0-pre3a-1) unstable; urgency=low

   * New upstream version
   * Move libtool-hack into debian/rules so I don't have to patch it in
     at every new upstream release
   * Upstream documentation is now no longer sgml, but html made with LyX;
     update doc-base registration accordinglt
   * Change priority to extra

alsalib (0.3.0-pre2-2) unstable; urgency=low

   * Fixed wrong documentID in doc-base registration

alsalib (0.3.0-pre2-1) unstable; urgency=low

   * New upstream version
   * Register API documentation with doc-base
   * Move autoconf-stuff to -dev package

1998

alsalib (0.1.3-2) unstable; urgency=low

   * Rebuild with new alsadriver installed so we get the new ioctls

alsalib (0.1.3-1) unstable; urgency=low

   * New upstream version
   * Renamed package
   * Fix a couple of lintian errors & warnings

alsalib (0.1.1-1) unstable; urgency=low

   * New upstream version
   * Suggest alsadriver

alsalib (0.0.9-1) unstable; urgency=low

   * New uptream version
   * Use --strip-unneeded on /usr/lib/libsound.so
   * Use --strip-debug on /usr/lib/libsound.a

alsalib (0.0.8-1) unstable; urgency=low

   * Initial release